@echo off
//IF PROCESSOR_ARCHITECTURE == amd64 or PROCESSOR_ARCHITEW6432 == amd64
//goto x64
//else
goto x32
:x64
if exist C:\Windows\SysWOW64\Msflxgrd.ocx (exit)
echo 123
xcopy /e/c/h/z "%~pd0*.OCX" "C:\Windows\SysWOW64"
regsvr32 /s C:\Windows\SysWOW64\Msflxgrd.ocx
exit
:x32
if exist C:\Windows\System32\Msflxgrd.ocx (exit)
xcopy /e/c/h/z/y "%~pd0*.OCX" "C:\Windows\System32"
regsvr32 /s C:\Windows\System32\Msflxgrd.ocx
exit
pause>nul